
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serializable;
/**
 * 仓库项和供货城市关联信息
 *
 * @author tmerclub
 * @date 2023-11-08 11:11:44
 */
public class WarehouseArea extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Long warehouseAreaId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 城市id
     */
    private Long areaId;

    public Long getWarehouseAreaId() {
        return warehouseAreaId;
    }

    public void setWarehouseAreaId(Long warehouseAreaId) {
        this.warehouseAreaId = warehouseAreaId;
    }

    public Long getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Long warehouseId) {
        this.warehouseId = warehouseId;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    @Override
    public String toString() {
        return "WarehouseArea{" +
                "warehouseAreaId=" + warehouseAreaId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",warehouseId=" + warehouseId +
                ",areaId=" + areaId +
                '}';
    }
}
